# Uses of Class
org.eclipse.birt.report.model.api.LibraryHandle

Packages that use LibraryHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of LibraryHandle in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return LibraryHandle
Modifier and Type
Method
Description
`final LibraryHandle`
ModuleHandleImpl.`findLibrary(String fileName)`
Returns the library handle with the given file name.
`final LibraryHandle`
ModuleHandleImpl.`getLibrary(String namespace)`
Returns the library handle with the given namespace.
Methods in org.eclipse.birt.report.model.api with parameters of type LibraryHandle
Modifier and Type
Method
Description
`void`
ModuleHandleImpl.`dropLibrary(LibraryHandle library)`
Drops the given library from the included libraries of this design file.
`void`
ModuleHandleImpl.`dropLibraryAndBreakExtends(LibraryHandle library)`
Drops the given library from the design and break all the parent/child relationships.
`final boolean`
ModuleHandleImpl.`isInclude(LibraryHandle library)`
Checks whether there is an included library in this module, which has the same absolute path as that of the given library.
`void`
ModuleHandleImpl.`reloadLibrary(LibraryHandle libraryToReload)`
Reloads the library with the given library file path.
`void`
ModuleHandleImpl.`shiftLibrary(LibraryHandle library, int toPosn)`
Shifts the library to new position.

## Uses of LibraryHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type LibraryHandle
Modifier and Type
Method
Description
`static boolean`
ElementExportUtilImpl.`canExport(DesignElementHandle elementToExport, LibraryHandle targetLibraryHandle, boolean canOverride)`
Checks whether the given element can be exported into one library.
`static boolean`
ElementExportUtilImpl.`canExport(StructureHandle structToExport, LibraryHandle targetLibraryHandle, boolean canOverride)`
Checks whether the given structure can be exported into one library.
`static void`
ElementExportUtilImpl.`exportDesign(ReportDesignHandle designToExport, LibraryHandle targetLibraryHandle, boolean canOverride, boolean genDefaultName)`
Exports one design to library.
`static void`
ElementExportUtilImpl.`exportElement(DesignElementHandle elementToExport, LibraryHandle targetLibraryHandle, boolean canOverride)`
Exports the given element into one library.
`static void`
ElementExportUtilImpl.`exportStructure(StructureHandle structToExport, LibraryHandle targetLibraryHandle, boolean canOverride)`
Exports the given structure into one library.